NucleicRenderer
Date: 2019-10-22

org.jmol.renderbio

## Class NucleicRenderer

- java.lang.Object
- - org.jmol.renderbio.NucleicRenderer

-     public class NucleicRenderer
      extends java.lang.Object

  extends CartoonRenderer for nucleics

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javajs.util.P3` | `backbonePt`
    `private javajs.util.P3` | `backboneScreen`
    `private javajs.util.P3` | `basePt`
    `private javajs.util.P3` | `baseScreen`
    `private float` | `blockHeight`
    `private BioShapeRenderer` | `bsr`
    `private boolean` | `cartoonBaseEdges`
    `private boolean` | `cartoonBlocks`
    `private boolean` | `cartoonLadders`
    `private boolean` | `cartoonRibose`
    `private boolean` | `cartoonSteps`
    `private short` | `colix`
    `private JmolRendererInterface` | `g3d`
    `private javajs.util.P3` | `ptTemp`
    `private javajs.util.P3[]` | `rPt`
    `private javajs.util.P3[]` | `rPt5`
    `private javajs.util.P3[]` | `rScr`
    `private javajs.util.P3[]` | `rScr5`
    `private javajs.util.P3[]` | `scrBox`
    `private TransformManager` | `tm`
    `private int[]` | `triangles`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NucleicRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `drawEdges(javajs.util.P3[] scr, javajs.util.P3[] pt, int n)`
    `private void` | `renderBlock(NucleicMonomer g)`
    `private void` | `renderCyl(javajs.util.P3 s1, javajs.util.P3 s2, javajs.util.P3 p1, javajs.util.P3 p2)`
    `private void` | `renderEdge(javajs.util.P3[] scr, javajs.util.P3[] pt, int i, int j)`
    `private void` | `renderLeontisWesthofEdges(NucleicMonomer nucleotide)`
    `(package private) void` | `renderNucleic(BioShapeRenderer renderer)`
    `private void` | `renderNucleicBaseStep(int im, javajs.util.T3 ptPnext, javajs.util.T3 scrPnext)`
    `private void` | `renderRibose()`
    `private void` | `renderRing5()`
    `private void` | `renderRing6()`
    `private void` | `renderSteps(NucleicMonomer g, int i)`
    `private void` | `renderTriangle(javajs.util.P3[] scr, javajs.util.P3[] pt, int i, int j, int k, boolean doShade)`
    `private void` | `transformPoints(int count, javajs.util.T3[] angstroms, javajs.util.P3[] screens)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cartoonBaseEdges

          private boolean cartoonBaseEdges

    - #### cartoonBlocks

          private boolean cartoonBlocks

    - #### blockHeight

          private float blockHeight

    - #### cartoonLadders

          private boolean cartoonLadders

    - #### cartoonRibose

          private boolean cartoonRibose

    - #### rPt

          private javajs.util.P3[] rPt

    - #### rPt5

          private javajs.util.P3[] rPt5

    - #### rScr

          private javajs.util.P3[] rScr

    - #### rScr5

          private javajs.util.P3[] rScr5

    - #### basePt

          private javajs.util.P3 basePt

    - #### backbonePt

          private javajs.util.P3 backbonePt

    - #### baseScreen

          private javajs.util.P3 baseScreen

    - #### backboneScreen

          private javajs.util.P3 backboneScreen

    - #### ptTemp

          private javajs.util.P3 ptTemp

    - #### vwr

          private Viewer vwr

    - #### tm

          private TransformManager tm

    - #### g3d

          private JmolRendererInterface g3d

    - #### bsr

          private BioShapeRenderer bsr

    - #### colix

          private short colix

    - #### cartoonSteps

          private boolean cartoonSteps

    - #### scrBox

          private javajs.util.P3[] scrBox

    - #### triangles

          private final int[] triangles

  - ### Constructor Detail

    - #### NucleicRenderer

          public NucleicRenderer()

  - ### Method Detail

    - #### renderNucleic

          void renderNucleic(BioShapeRenderer renderer)

    - #### renderNucleicBaseStep

          private void renderNucleicBaseStep(int im,
                                             javajs.util.T3 ptPnext,
                                             javajs.util.T3 scrPnext)

    - #### renderSteps

          private void renderSteps(NucleicMonomer g,
                                   int i)

    - #### transformPoints

          private void transformPoints(int count,
                                       javajs.util.T3[] angstroms,
                                       javajs.util.P3[] screens)

    - #### drawEdges

          private void drawEdges(javajs.util.P3[] scr,
                                 javajs.util.P3[] pt,
                                 int n)

    - #### renderBlock

          private void renderBlock(NucleicMonomer g)

    - #### renderLeontisWesthofEdges

          private void renderLeontisWesthofEdges(NucleicMonomer nucleotide)

    - #### renderEdge

          private void renderEdge(javajs.util.P3[] scr,
                                  javajs.util.P3[] pt,
                                  int i,
                                  int j)

    - #### renderCyl

          private void renderCyl(javajs.util.P3 s1,
                                 javajs.util.P3 s2,
                                 javajs.util.P3 p1,
                                 javajs.util.P3 p2)

    - #### renderTriangle

          private void renderTriangle(javajs.util.P3[] scr,
                                      javajs.util.P3[] pt,
                                      int i,
                                      int j,
                                      int k,
                                      boolean doShade)

      Parameters:
        `scr` -
        `pt` -
        `i` -
        `j` -
        `k` -
        `doShade` - if shade was not calculated previously;

    - #### renderRing6

          private void renderRing6()

    - #### renderRing5

          private void renderRing5()

    - #### renderRibose

          private void renderRibose()